/* Header h1 */
/* @import url('https://fonts.googleapis.com/css2?family=Roboto+Slab:wght@100..900&display=swap'); */
/* Nav links */
@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');
/* Article title and subtitle */
@import url('https://fonts.googleapis.com/css2?family=Noto+Serif:ital,wght@0,100..900;1,100..900&display=swap');
/* Updated Header h1 */
@import url('https://fonts.googleapis.com/css2?family=Cinzel:wght@400..900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Roboto', Inter, system-ui, Avenir, Helvetica, Arial, sans-serif;
    font-synthesis: none;
    text-rendering: optimizeLegibility;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    font-optical-sizing: auto;
    font-style: normal;

    --max-width: 1120px;
    --default-padding: 12px;
}

.light {
    --primary-text-color: #000000;
    --secondary-text-color: rgb(40, 40, 40);
    --tertiary-text-color: rgb(100, 100, 100);
    --title-text-color: rgb(45, 60, 75);
    --default-blue: rgb(110, 160, 200);
    --header-blue: #5d89ac;
    --secondary-blue: rgb(90, 140, 180);
    --body-bg: #ffffff;
    --border-color: lightgray;
    --svg-filter-invert: 0%;
    --textbox-bg: #f9f9f9;
    --error-color: rgb(190, 40, 40);
    --img-bg: rgba(255, 255, 255, 0);
    --spinner-bg: rgba(200, 200, 200, 0.2);
}

.dark {
    --primary-text-color: #e6e6e6;
    --secondary-text-color: rgb(200, 200, 200);
    --tertiary-text-color: rgb(150, 150, 150);
    --title-text-color: rgb(220, 230, 240);
    --default-blue: rgb(80, 150, 200);
    --header-blue: #7ca8d1;
    --secondary-blue: rgb(60, 110, 150);
    --body-bg: #141414;
    --border-color: rgb(50, 50, 50);
    --svg-filter-invert: 100%;
    --textbox-bg: #202020;
    --error-color: rgb(160, 60, 60);
    --img-bg: rgba(200, 200, 200, 0.2);
    --spinner-bg: rgba(200, 200, 200, 0.2);
}

.icon {
    filter: invert(var(--svg-filter-invert));
}

body {
    min-height: 100vh;
    max-width: 100vw;
    color: var(--primary-text-color);
    background-color: var(--body-bg);
    font-size: 16px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.hh-version-container {
    font-size: 12px;
    text-align: end;
    width: 100%;
    opacity: 0.5;
    padding: 4px 20px;
}

a {
    margin: 0;
    padding: 0;
    color: unset;
    text-decoration: none;
}

button {
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    padding: 10px 20px;
    border-radius: 4px;
    border: none;
    outline: none;
    background-color: transparent;
    font-size: 16px;
}

header {
    padding: 26px 0px 0 0px;
    text-align: center;
    margin-bottom: 16px;
    opacity: 0;
}

header h1 {
    color: var(--header-blue);
    /* font-family: 'Roboto Slab', system-ui; */
    font-family: 'Cinzel', serif;
    font-size: 30px;
}

.nav-container {
    width: 100%;
    display: flex;
    justify-content: center;
    position: -webkit-sticky;
    position: sticky;
    top: 0;
    background-color: var(--body-bg);
    z-index: 5;
}

#nav-days {
    width: 100%;
}

nav {
    max-width: var(--max-width);
    display: flex;
    justify-content: flex-start;
    overflow-x: auto;
    box-shadow: 0px 4px 4px 0px var(--border-color);
    -webkit-overflow-scrolling: touch;
}

/* Hide scroll bar */
nav {
    scrollbar-width: none;
    -ms-overflow-style: none;
}

nav::-webkit-scrollbar {
    display: none;
}

nav a {
    padding: var(--default-padding) 24px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex: 1 1 0%;
    text-decoration: none;
    font-family: 'Roboto', sans-serif;
    color: rgb(180, 180, 180);
    font-weight: bold;
    font-size: 1.2em;
    border-bottom: 4px solid transparent;
}

nav a:hover {
    background-color: none;
    color: var(--tertiary-text-color);
}

nav a.active {
    color: var(--title-text-color);
    border-bottom: 4px solid var(--default-blue);
    background-color: none;
}

nav a:active {
    background-color: none;
}

#nav-Bookmarks {
    max-width: 50px;
}

@keyframes thinking {
    0% {
        left: -100%;
    }

    100% {
        left: 100%;
    }
}

.tool-bar {
    width: 100%;
    justify-content: center;
    display: none;
    padding-top: 10px;
    padding-bottom: 20px;
}

.toggle-seen-articles-button {
    width: 100%;
    display: flex;
    max-width: var(--max-width);
    justify-content: flex-start;
    align-items: flex-start;
    gap: 8px;
    padding: 0 var(--default-padding) !important;
}

.toggle-seen-articles-icon {
    min-width: 20px;
}

.toggle-seen-articles-text {
    text-align: left;
    color: var(--primary-text-color);
}

main {
    flex-grow: 1;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: var(--default-padding);
    padding-bottom: 40px;
}

section {
    width: 100%;
    max-width: var(--max-width);
    display: flex;
    flex-wrap: wrap;
    margin: 0 auto;
}

.divider {
    height: 1px;
    width: 100%;
    background-color: var(--border-color);
    margin-top: 26px;
    margin-bottom: 16px;
}

.divider:last-of-type {
    display: none;
}

.leftover-block {
    padding: var(--default-padding) 0;
}

.leftover-block .row-three:first-of-type {
    padding-top: 0;
}

/* Styles for Large Article */
.article-large {
    display: flex;
    flex-direction: column;
    width: 100%;
}

.article-large .article-title {
    font-size: 1.4em;
}

.article-large .article-subtitle {
    font-size: 1.1em;
}

.article-large .article-image {
    width: 100%;
    min-width: 200px;
    max-width: 100%;
    max-height: 400px;
    object-fit: contain;
    margin-bottom: var(--default-padding);
}

.article-large .article-footer {
    margin-top: var(--default-padding);
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-size: 0.9em;
    color: var(--tertiary-text-color);
}

/* Styles for Small Article */
.article-small {
    display: flex;
    flex-direction: column;
    width: 100%;
}

.article-small .article-content {
    width: 100%;
}

.article-small .article-image {
    max-width: 45%;
    max-height: 140px;
    object-fit: contain;
    margin: 0 0 var(--default-padding) 10px;
    float: right;
}

.article-small .article-footer {
    margin-top: var(--default-padding);
    display: flex;
    justify-content: space-between;
    align-items: center;
    color: var(--tertiary-text-color);
    font-size: 0.9em;
    gap: 12px;
    width: 100%;
}

/* General Article Styles */
/* .article-large,
.article-small {
    overflow: hidden;
} */

.article-time-points-container {
    display: flex;
    align-items: center;
    gap: 8px;
    cursor: pointer;
}

.article-comments-container {
    display: flex;
    align-items: center;
    gap: 4px;
    cursor: pointer;
}

.article-title,
.article-subtitle {
    word-break: break-word;
    /* line-clamp: 5;
    -webkit-line-clamp: 5;
    -webkit-box-orient: vertical;
    display: -webkit-box;
    overflow: hidden;
    text-overflow: ellipsis; */
    font-family: 'Noto Serif', serif;
    cursor: pointer;
}

.article-title {
    color: var(--title-text-color);
    margin-bottom: 10px;
    overflow: visible;
}

.article-subtitle {
    color: var(--secondary-text-color);
}

.article-image {
    cursor: pointer;
    background-color: var(--img-bg);
}

.article-link-container {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.article-link {
    display: block;
    margin-top: 10px;
    text-decoration: none;
    color: var(--tertiary-text-color);
    font-size: 0.9em;
    line-clamp: 5;
    -webkit-line-clamp: 5;
    -webkit-box-orient: vertical;
    display: -webkit-box;
    overflow: hidden;
    text-overflow: ellipsis;
}

.article-bookmark-dropdown-container {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.article-comments {
    text-decoration: none;
    color: var(--tertiary-text-color);
    font-weight: bold;
}

.loading-container {
    display: none;
    align-items: center;
    justify-content: center;
    width: 100%;
    gap: 12px;
    margin: 30px 0 60px 0;
}

.spinner {
    width: 30px;
    height: 30px;
    border: 4px solid var(--spinner-bg);
    border-top: 4px solid var(--default-blue);
    border-radius: 50%;
    animation: spin 1s linear infinite;
}

.retry-container {
    display: none;
    width: 100%;
    justify-content: center;
    padding: 20px;
    height: min-content;
}

.retry-container .retry {
    width: 100%;
    max-width: var(--max-width);
    display: flex;
    flex-direction: column;
    align-items: center;
    background: var(--textbox-bg);
    border: 1px solid var(--border-color);
    padding: 40px;
    text-align: center;
    gap: 10px;
    border-radius: 4px;
}

.retry-container .retry .retry-title {
    color: var(--primary-text-color);
    font-size: 1.2em;
}

.retry-container .retry-button {
    margin-top: 12px;
    background-color: var(--default-blue);
    color: white;
}

.block {
    width: 100%;
}

.article-more-dropdown-menu {
    display: none;
    flex-direction: column;
    position: absolute;
    background-color: var(--body-bg);
    list-style: none;
    width: max-content;
    top: 30px;
    right: 8px;
    z-index: 10;
    border-radius: 4px;
    box-shadow: 2px 4px 12px rgba(0, 0, 0, 0.2);
    overflow: hidden;
}

.article-more-dropdown-container {
    position: relative;
}

.article-more-dropdown-menu.show {
    display: flex;
    border: 1px solid var(--border-color);
}

.article-more-dropdown-menu li {
    /* border: 1px solid var(--border-color); */
    padding: 14px 20px;
    cursor: pointer;
    background-color: var(--body-bg);
    color: var(--secondary-text-color);
    display: flex;
    align-items: center;
    gap: 6px;
    flex-direction: row-reverse;
    justify-content: flex-end;
}

.article-more-dropdown-menu li:hover {
    background-color: var(--default-blue);
    color: white;
}

.article-more-dropdown-menu li:hover svg {
    filter: none !important;
    fill: white !important;
}

.article-dropdown-list-icon {
    width: 20px;
    height: 20px;
}

.article-more-btn {
    padding-right: 0 !important;
    padding-left: 14px;
    margin-left: 6px;
}

.more-icon {
    width: 10px;
    object-fit: cover;
    scale: 1.1;
}

.article-bookmark-btn {
    padding: 0;
}

.article-bookmark-icon {
    opacity: 0.4;
    stroke: var(--primary-text-color) !important;
    filter: none !important;
}

.bookmarked {
    fill: var(--default-blue) !important;
    stroke: var(--default-blue) !important;
    opacity: 1 !important;
    filter: none !important;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

/* Media Querries for tablet */

@media (min-width: 768px) {
    header {
        padding: 26px 20px 0 20px;
    }

    header h1 {
        font-size: 44px;
    }

    body {
        font-size: 15px;
    }

    nav {
        box-shadow: none;
        border-bottom: 2px solid var(--border-color);
    }

    nav a {
        padding: var(--default-padding);
        /* min-width: 140px !important; */
    }

    main {
        padding: 20px;
    }

    .toggle-seen-articles-button {
        padding: 0 20px !important;
    }

    .toggle-seen-articles-button {
        padding: 0 !important;
    }

    .divider {
        display: none;
    }

    .retry-container .retry {
        width: fit-content;
        padding: 40px 80px;
    }

    .article-large {
        flex: 1 1 calc(50%);
        border-right: 1px solid var(--border-color);
        border: none;
        border-bottom: 1px solid var(--border-color);
        padding: 0;
        padding-bottom: var(--default-padding);
    }

    .article-small {
        flex: 1 1 calc(100%);
        flex: none;
        height: auto;
    }

    .article-small .article-image {
        max-width: 50%;
        max-height: 100px;
        height: auto;
        margin: 0 0 10px 10px;
    }

    .article-footer {
        flex-wrap: wrap;
        gap: var(--default-padding);
    }

    .row-one,
    .row-two,
    .row-three {
        width: 100%;
        border-bottom: 1px solid var(--border-color);
        padding-bottom: var(--default-padding);
    }

    .row-one {
        display: flex;
        flex-direction: column;
        padding-top: var(--default-padding);
    }

    .row-one .four-articles-container {
        flex: 1 1 calc(50%);
        display: flex;
        flex-wrap: wrap;
        padding-top: var(--default-padding);
        padding-left: 0;
    }

    .row-one .four-articles-container .two-articles-container {
        flex: 1 1 calc(50%);
        display: flex;
        flex-direction: column;
        border-right: 1px solid var(--border-color);
        padding-left: 0;
        padding-right: var(--default-padding);
    }

    .row-one .four-articles-container .two-articles-container:nth-of-type(2) {
        border-right: none;
        padding-right: 0;
        padding-left: var(--default-padding);
    }

    .row-one .four-articles-container .two-articles-container .article-small {
        padding-top: 0;
        border-bottom: 1px solid var(--border-color);
        padding-bottom: var(--default-padding);
    }

    .row-one .four-articles-container .two-articles-container .article-small:nth-of-type(2) {
        padding-top: var(--default-padding);
        border-bottom: none;
        padding-bottom: 0;
    }

    .row-two {
        padding-top: var(--default-padding);
        display: flex;
        flex-direction: column;
    }

    .row-two .article-large .article-image {
        width: 280px;
        max-width: 400px;
    }

    .row-two .article-large {
        flex: 1 1 calc(100%);
        flex-direction: row;
        padding-bottom: var(--default-padding);
    }

    .row-two .article-large .article-image {
        margin-right: var(--default-padding);
    }

    .row-two .article-large:last-of-type {
        padding-top: var(--default-padding);
        border-right: none;
        padding-left: 0;
        padding-right: 0;
        border-bottom: none;
        padding-bottom: 0;
    }

    .row-three .four-articles-container {
        flex: 1 1 calc(50%);
        display: flex;
        flex-wrap: wrap;
        padding-top: var(--default-padding);
    }

    .row-three .four-articles-container .two-articles-container {
        flex: 1 1 calc(50%);
        display: flex;
        flex-direction: column;
        border-right: 1px solid var(--border-color);
        padding-left: 0;
        padding-right: var(--default-padding);
    }

    .row-three .four-articles-container .two-articles-container:nth-of-type(2) {
        border-right: none;
        padding-right: 0;
        padding-left: var(--default-padding);
    }

    .row-three .four-articles-container .two-articles-container .article-small {
        padding-top: 0;
        border-bottom: 1px solid var(--border-color);
        padding-bottom: var(--default-padding);
    }

    .row-three .four-articles-container .two-articles-container .article-small:nth-of-type(2) {
        padding-top: var(--default-padding);
        border-bottom: none;
        padding-bottom: 0;
    }

    .row-three .four-articles-container .two-articles-container:last-of-type {
        border-right: none;
        padding-right: 0;
    }

    .leftover-block .row-three:last-of-type {
        border-bottom: none;
    }

    .row-two .article-large .article-title {
        margin-top: -5px;
    }
}

/* Media Querries for large screen */
/* var(--max-width) : 1120px */

@media (min-width: 1120px) {
    header {
        padding: 26px 20px 0 20px;
    }

    body {
        font-size: 14px;
    }

    nav a {
        padding: var(--default-padding);
        /* min-width: 140px !important; */
    }

    .divider {
        display: none;
    }

    .retry-container .retry {
        width: fit-content;
        padding: 40px 80px;
    }

    .article-large {
        flex: 1 1 calc(50%);
        border-right: 1px solid var(--border-color);
        padding: 0 var(--default-padding) var(--default-padding) 0;
        border-bottom: none;
    }

    .article-small {
        flex: 1 1 calc(100%);
        flex: none;
        height: auto;
    }

    .article-small .article-image {
        max-width: 50%;
        max-height: 100px;
        height: auto;
        margin: 0 0 10px 10px;
    }

    .article-footer {
        flex-wrap: wrap;
        gap: var(--default-padding);
    }

    .row-one,
    .row-two,
    .row-three {
        width: 100%;
        border-bottom: 1px solid var(--border-color);
        padding-bottom: var(--default-padding);
    }

    .row-one {
        display: flex;
        flex-direction: row;
    }

    .row-one .four-articles-container {
        flex: 1 1 calc(50%);
        display: flex;
        flex-wrap: wrap;
        padding-top: 0;
        padding-left: var(--default-padding);
    }

    .row-one .four-articles-container .two-articles-container {
        flex: 1 1 calc(50%);
        display: flex;
        flex-direction: column;
        border-right: 1px solid var(--border-color);
        padding-left: 0;
        padding-right: var(--default-padding);
    }

    .row-one .four-articles-container .two-articles-container:nth-of-type(2) {
        border-right: none;
        padding-right: 0;
    }

    .row-one .four-articles-container .two-articles-container .article-small {
        padding-top: 0;
        border-bottom: 1px solid var(--border-color);
        padding-bottom: var(--default-padding);
    }

    .row-one .four-articles-container .two-articles-container .article-small:nth-of-type(2) {
        padding-top: var(--default-padding);
        border-bottom: none;
        padding-bottom: 0;
    }

    .row-two {
        padding-top: var(--default-padding);
        display: flex;
        flex-direction: row;
    }

    .row-two .article-large {
        flex: 1 1 calc(100%);
        flex-direction: row;
        padding-bottom: 0;
        border-bottom: none;
    }

    .row-two .article-large:last-of-type {
        padding-top: 0;
        border-right: none;
        padding-left: var(--default-padding);
        padding-right: 0;
    }

    .row-three {
        padding-top: var(--default-padding);
    }

    .row-three .four-articles-container {
        flex: 1 1 calc(100%);
        display: flex;
        flex-wrap: wrap;
        padding-top: 0;
    }

    .row-three .four-articles-container .two-articles-container {
        flex: 1 1 calc(50%);
        display: flex;
        flex-direction: row;
        border-right: 1px solid var(--border-color);
        padding-left: 0;
        padding-right: var(--default-padding);
    }

    .row-three .four-articles-container .two-articles-container:nth-of-type(2) {
        border-right: none;
        padding-right: 0;
    }

    .row-three .four-articles-container .two-articles-container .article-small {
        width: 50%;
        padding-top: 0;
        border-bottom: none;
        padding-left: var(--default-padding);
        padding-right: var(--default-padding);
        padding-bottom: var(--default-padding);
    }

    .row-three .four-articles-container .two-articles-container .article-small:first-of-type {
        padding-left: 0;
        border-right: 1px solid var(--border-color);
    }

    .row-three .four-articles-container .two-articles-container .article-small:nth-of-type(2) {
        border-bottom: none;
        padding-bottom: 0;
        padding-right: 0;
        padding-top: 0;
        border-right: none;
    }

    .row-three .four-articles-container .two-articles-container:first-of-type .article-small:first-of-type {
        padding-left: 0;
    }

    .row-three .four-articles-container .two-articles-container:last-of-type {
        border-right: none;
        padding-right: 0;
    }

    .leftover-block .row-three:last-of-type {
        border-bottom: none;
    }
}